# Revoke connector share

> Source: https://elaichi.ai/docs/api-reference/custom-connectors/connector/revokeconnectorshare/

`DELETE /connector/{slug}/share/{aclId}`

Resource: **Connector** · API: **Custom connectors**

## Path parameters

- **`slug`** _(string, required)_
  Resource id
- **`aclId`** _(string, required)_
  Resource id

## Response body

- **`success`** _(boolean)_

## Code examples

### curl

```bash
curl -X DELETE 'https://api.elaichi.ai/connector/<slug>/share/<aclId>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/connector/<slug>/share/<aclId>', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/connector/<slug>/share/<aclId>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)
print(response.json())
```
